#include <Area.h>
/*
* A virtual destructor is necesary to use pointers to base class.
*/
Area::~Area(){}

/*
* Returns the information of the register wich this area represents.
*/
void * Area::get_register_info(){
    return register_info;
}

/*
* This method returns the type of this area.
*/
unsigned Area::get_type(){
    return type;
}
/*
* Adds the specified preference to this area.
* This method should be called in the same order you want to 
* look for the preference.
*/
void Area::add_preference(unsigned preference){
    preferences.push_back(preference);
}

/*
* Returns an iterator to the beginning of the preferences.
*/
vector<unsigned>::iterator Area::get_preferences_begin(){
    return preferences.begin();
}

/*
* Returns an iterator to the end of the preferences.
*/
vector<unsigned>::iterator Area::get_preferences_end(){
    return preferences.end();
}
