#ifndef _T0_X86_BOARD_H

#define _T0_X86_BOARD_H

#include <string>

#include <Board.h>

using namespace std;

class T0_X86_Board : public Board {
  public:
    /*
    * The constructor will make the proper inicialization of the variables.
    * There should be stored
    */
    T0_X86_Board();
    
    /*
    * The destructor.
    */
    ~T0_X86_Board();
  private:
    /*
    * The BP family. The base pointer.
    */
    string * BP;

    /*
    * The SI family. Used for indexes.
    */
    string * SI;

    /*
    * The DI family. Used for indexes.
    */
    string * DI;

    /*
    * The SP family. The stack pointer.
    */
    string * SP;
};

#endif
