#ifndef _T1_X86_BOARD_H

#define _T1_X86_BOARD_H

#include <string>

#include <Board.h>
#include <T0_Area.h>

using namespace std;


class T1_X86_Board : public Board {
  public:
    /*
    * The constructor will make the proper inicialization of the variables.
    * There should be stored
    */
    T1_X86_Board();
    
  private:
    /*
    * To don't care about the deletes.
    */
    T0_Area T0_AL;
    T0_Area T0_AH;
    T0_Area T0_BL;
    T0_Area T0_BH;
    T0_Area T0_CL;
    T0_Area T0_CH;
    T0_Area T0_DL;
    T0_Area T0_DH;
};

#endif
