%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                Definimos las reglas                                                             %
%	
% Esta relación sigifica que la regla tiene un identificador Id
% Ocupa para su ejecucuón:
%  px piezas de tipo X y tamaño 1.
%  pX piezas de tipo X y tamaño 2.
%  py piezas de tipo Y y tamaño 2.
%  pY piezas de tipo Y y tamaño 4.
%  pz piezas de tipo Z y tamaño 1.
%  pZ piezas de tipo Z y tamaño 2.
% regla(Id,px,pX,py,pY,pz,pZ).
% 
% En la ilustración de la regla el patrón se representa con los #
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% ___ ___
%|   |   |
%| X | # |
%|___|___|
%|   |   |
%| # | # |
%|___|___|
%

regla(1,1,0,0,0,0,0).

% ___ ___
%|   |   |
%| # | X |
%|___|___|
%|   |   |
%| # | # |
%|___|___|
%

regla(2,1,0,0,0,0,0).

% ___ ___
%|   |   |
%| # | # |
%|___|___|
%|   |   |
%| # | Z |
%|___|___|
%

regla(3,0,0,0,0,1,0).

% ___ ___
%|   |   |
%| # | # |
%|___|___|
%|   |   |
%| Z | # |
%|___|___|
%

regla(4,0,0,0,0,1,0).

% ___ ___
%|   |   |
%| X | # |
%|___|___|
%|   |   |
%| # | Z |
%|___|___|
%

regla(5,1,0,0,0,1,0).

% ___ ___
%|   |   |
%| # | X |
%|___|___|
%|   |   |
%| Z | # |
%|___|___|
%

regla(6,1,0,0,0,1,0).

% ___ ___
%|       |
%|   X   |
%|___ ___|
%|   |   |
%| # | # |
%|___|___|
%

regla(7,0,1,0,0,0,0).

% ___ ___
%|   |   |
%| X | X |
%|___|___|
%|   |   |
%| # | # |
%|___|___|
%

regla(8,2,0,0,0,0,0).

% ___ ___
%|   |   |
%| # | # |
%|___|___|
%|       |
%|   Z   |
%|_______|
%

regla(9,0,0,0,0,0,1).

% ___ ___
%|   |   |
%| # | # |
%|___|___|
%|   |   |
%| Z | Z |
%|___|___|
%

regla(10,0,0,0,0,2,0).

% ___ ___
%|   |   |
%|   | # |
%| Y |___|
%|   |   |
%|   | # |
%|___|___|
%

regla(11,0,0,1,0,0,0).

% ___ ___
%|   |   |
%| X | # |
%|___|___|
%|   |   |
%| Z | # |
%|___|___|
%

regla(12,1,0,0,0,1,0).

% ___ ___
%|   |   |
%| # |   |
%|___| Y |
%|   |   |
%| # |   |
%|___|___|
%

regla(13,0,0,1,0,0,0).

% ___ ___
%|   |   |
%| # | X |
%|___|___|
%|   |   |
%| # | Z |
%|___|___|
%

regla(14,1,0,0,0,1,0).

% ___ ___
%|       |
%|   X   |
%|___ ___|
%|   |   |
%| Z | # |
%|___|___|
%

regla(15,0,1,0,0,1,0).

% ___ ___
%|   |   |
%|   | X |
%| Y |___|
%|   |   |
%|   | # |
%|___|___|
%

regla(16,1,0,1,0,0,0).

% ___ ___
%|   |   |
%| X | X |
%|___|___|
%|   |   |
%| Z | # |
%|___|___|
%

regla(17,2,0,0,0,1,0).

% ___ ___
%|       |
%|   X   |
%|___ ___|
%|   |   |
%| # | Z |
%|___|___|
%

regla(18,0,1,0,0,1,0).

% ___ ___
%|   |   |
%| X |   |
%|___| Y |
%|   |   |
%| # |   |
%|___|___|
%

regla(19,1,0,1,0,0,0).

% ___ ___
%|   |   |
%| X | X |
%|___|___|
%|   |   |
%| # | Z |
%|___|___|
%

regla(20,2,0,0,0,1,0).

% ___ ___
%|   |   |
%| X | # |
%|___|___|
%|       |
%|   Z   |
%|___ ___|
%

regla(21,1,0,0,0,0,1).

% ___ ___
%|   |   |
%|   | # |
%| Y |___|
%|   |   |
%|   | Z |
%|___|___|
%

regla(22,0,0,1,0,1,0).

% ___ ___
%|   |   |
%| X | # |
%|___|___|
%|   |   |
%| Z | Z |
%|___|___|
%

regla(23,1,0,0,0,2,0).

% ___ ___
%|   |   |
%| # | X |
%|___|___|
%|       |
%|   z   |
%|___ ___|
%

regla(24,1,0,0,0,0,1).

% ___ ___
%|   |   |
%| # |   |
%|___| Y |
%|   |   |
%| Z |   |
%|___|___|
%

regla(25,0,0,1,0,1,0).

% ___ ___
%|   |   |
%| # | X |
%|___|___|
%|   |   |
%| Z | Z |
%|___|___|
%

regla(26,1,0,0,0,2,0).

% ___ ___
%|       |
%|       |
%|   Y   |
%|       |
%|       |
%|___ ___|
%

regla(27,0,0,0,1,0,0).

% ___ ___
%|   |   |
%|   |   |
%| Y | Y |
%|   |   |
%|   |   |
%|___|___|
%

regla(28,0,0,2,0,0,0).

% ___ ___
%|   |   |
%|   | X |
%| Y |___|
%|   |   |
%|   | Z |
%|___|___|
%

regla(29,1,0,1,0,1,0).

% ___ ___
%|       |
%|   X   |
%|___ ___|
%|       |
%|   Z   |
%|___ ___|
%

regla(30,0,1,0,0,0,1).

% ___ ___
%|       |
%|   X   |
%|___ ___|
%|   |   |
%| Z | Z |
%|___|___|
%

regla(31,0,1,0,0,2,0).

% ___ ___
%|   |   |
%| X | X |
%|___|___|
%|       |
%|   Z   |
%|___ ___|
%

regla(32,2,0,0,0,0,1).

% ___ ___
%|   |   |
%| X | X |
%|___|___|
%|   |   |
%| Z | Z |
%|___|___|
%

regla(33,2,0,0,0,2,0).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Aqui se definen los diferentes tipos de patrones que puede haber en una arquitectura con rompecabezas de tipo 1. %
% cero significa libre y el uno significa ocupado. En las imágenes aparecen con # los ocupados.                    %
% patron(Ids,areaR(X,Y,Z,W)) relaciona a los ids de las reglas con el patrón representado.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% ___ ___
%|   |   |
%|   | # |
%|___|___|
%|   |   |
%| # | # |
%|___|___|
%
patron([1],areaR(0,1,1,1)).
% ___ ___
%|   |   |
%| # |   |
%|___|___|
%|   |   |
%| # | # |
%|___|___|
%
patron([2],areaR(1,0,1,1)).
% ___ ___
%|   |   |
%| # | # |
%|___|___|
%|   |   |
%| # |   |
%|___|___|
%
patron([3],areaR(1,1,1,0)).
% ___ ___
%|   |   |
%| # | # |
%|___|___|
%|   |   |
%|   | # |
%|___|___|
%
patron([4],areaR(1,1,0,1)).
% ___ ___
%|   |   |
%|   | # |
%|___|___|
%|   |   |
%| # |   |
%|___|___|
%
patron([5],areaR(0,1,1,0)).
% ___ ___
%|   |   |
%| # |   |
%|___|___|
%|   |   |
%|   | # |
%|___|___|
%
patron([6],areaR(1,0,0,1)).
% ___ ___
%|   |   |
%|   |   |
%|___|___|
%|   |   |
%| # | # |
%|___|___|
%
patron([7,8],areaR(0,0,1,1)).
% ___ ___
%|   |   |
%| # | # |
%|___|___|
%|   |   |
%|   |   |
%|___|___|
%
patron([9,10],areaR(1,1,0,0)).
% ___ ___
%|   |   |
%|   | # |
%|___|___|
%|   |   |
%|   | # |
%|___|___|
%
patron([11,12],areaR(0,1,0,1)).
% ___ ___
%|   |   |
%|___|___|
%|   |   |
%| # |   |
%|___|___|
%
patron([13,14],areaR(1,0,1,0)).
% ___ ___
%| # |   |
%|   |   |
%|   |   |
%|___|___|
%|   |   |
%|   | # |
%|___|___|
%
patron([15,16,17],areaR(0,0,0,1)).
% ___ ___
%|   |   |
%|   |   |
%|___|___|
%|   |   |
%| # |   |
%|___|___|
%
patron([18,19,20],areaR(0,0,1,0)).
% ___ ___
%|   |   |
%|   | # |
%|___|___|
%|   |   |
%|   |   |
%|___|___|
%
patron([21,22,23],areaR(0,1,0,0)).
% ___ ___
%|   |   |
%| # |   |
%|___|___|
%|   |   |
%|   |   |
%|___|___|
%
patron([24,25,26],areaR(1,0,0,0)).
% ___ ___
%|   |   |
%|   |   |
%|___|___|
%|   |   |
%|   |   |
%|___|___|
%
patron([27,28,29,30,31,32,33],areaR(0,0,0,0)).


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%       El predicado solucion(N,XS) construye en XS los posibles soluciones para tableros de tamaño N            %
%       Se basa en el reacomodo de las reglas definidas, haciendo notar que las reglas definen todas 
%	las formas en que se pueden acomodar las piezas en un área excepto 
%	 ___ ___
%	|   |   |
%	| X |   |
%	|___| Y |
%	|   |   |
%	| Z |   |
%	|___|___|
%
%	que es un caso análogo a 
%
%	 ___ ___
%	|   |   |
%	|   | X |
%	| Y |___|
%	|   |   |
%	|   | Z |
%	|___|___|
%
%	Sólo sae hace un cambio al principio de las posisiones de las piezas.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

solucion(1,[Id]):-regla(Id,_,_,_,_,_,_).
solucion(N,XS):-N>0,N1 is N-1,solucion(N1,[Id|Xs]),regla(Id2,_,_,_,_,_,_),Id2>=Id,append([Id2],[Id|Xs],XS).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    El predicado generabolsa(Ids,bolsa(Px1,PX1,Py1,PY1,Pz1,PZ1),bolsa(Px2,PX2,Py2,PY2,Pz2,PZ2))                %
%            Genera la bolsa de piezas que se ocupan en la lista de identificadores de                          %
%            reeglas dado.                                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

generabolsa([],bolsa(Px,PX,Py,PY,Pz,PZ),bolsa(Px,PX,Py,PY,Pz,PZ)).

generabolsa([Id|Ids],bolsa(Px,PX,Py,PY,Pz,PZ),bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
generabolsa(Ids,bolsa(Px,PX,Py,PY,Pz,PZ),bolsa(PxP,PXP,PyP,PYP,PzP,PZP)),
regla(Id,Pxr,PXr,Pyr,PYr,Pzr,PZr),
PxR is PxP + Pxr,
PXR is PXP + PXr,
PyR is PyP + Pyr,
PYR is PYP + PYr,
PzR is PzP + Pzr,
PZR is PZP + PZr.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	la relación tablero Indica que la lista de Ids dada corresponde con un tablero dado.			  %
%	tablero(Ids,tablero)											  %
% 	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

tablero([],[]).
tablero([Id|Ids],[P|Ps]):-patron(IdsR,P),member(Id,IdsR),tablero(Ids,Ps).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 1                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado1([],Bolsa,[],Bolsa).

enunciado1([areaR(0,1,1,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[1|AreasR],bolsa(PxR,PX,Py,PY,Pz,PZ)):-
        enunciado1(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,Py,PY,Pz,PZ)),
        PxR is PxP - 1, PxR >= 0.
        
enunciado1([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,1,1,1)),
        enunciado1(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 2                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado2([],Bolsa,[],Bolsa).

enunciado2([areaR(1,0,1,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[2|AreasR],bolsa(PxR,PX,Py,PY,Pz,PZ)):-
        enunciado2(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,Py,PY,Pz,PZ)),
        PxR is PxP - 1, PxR >= 0.
        
enunciado2([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(1,0,1,1)),
        enunciado2(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 3                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado3([],Bolsa,[],Bolsa).

enunciado3([areaR(1,1,1,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[3|AreasR],bolsa(Px,PX,Py,PY,PzR,PZ)):-
        enunciado3(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(Px,PX,Py,PY,PzP,PZ)),
        PzR is PzP - 1, PzR >= 0.
        
enunciado3([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(1,1,1,0)),
        enunciado3(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 4                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado4([],Bolsa,[],Bolsa).

enunciado4([areaR(1,1,0,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[4|AreasR],bolsa(Px,PX,Py,PY,PzR,PZ)):-
        enunciado4(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(Px,PX,Py,PY,PzP,PZ)),
        PzR is PzP - 1, PzR >= 0.
        
enunciado4([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(1,1,0,1)),
        enunciado4(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 5                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado5([],Bolsa,[],Bolsa).

enunciado5([areaR(0,1,1,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[5|AreasR],bolsa(PxR,PX,Py,PY,PzR,PZ)):-
        enunciado5(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,Py,PY,PzP,PZ)),
        PxR is PxP - 1, PxR >= 0,
	PzR is PzP - 1, PzR >= 0.
        
enunciado5([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,1,1,0)),
        enunciado5(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 6                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado6([],Bolsa,[],Bolsa).

enunciado6([areaR(1,0,0,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[6|AreasR],bolsa(PxR,PX,Py,PY,PzR,PZ)):-
        enunciado6(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,Py,PY,PzP,PZ)),
        PxR is PxP - 1, PxR >= 0,
	PzR is PzP - 1, PzR >= 0.
        
enunciado6([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(1,0,0,1)),
        enunciado6(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 7                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado7([],Bolsa,[],Bolsa).

%Aplicación de la regla 7.1
enunciado7([areaR(0,0,1,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[7|AreasR],bolsa(PxR,PXR,Py,PY,Pz,PZ)):-
        enunciado7(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXP,Py,PY,Pz,PZ)),
	PXR is PXP - 1, PXR >= 0.

%Aplicación de la regla 7.2
enunciado7([areaR(0,0,1,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[8|AreasR],bolsa(PxR,PXR,Py,PY,Pz,PZ)):-
        enunciado7(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PXR,Py,PY,Pz,PZ)),
	PxR is PxP - 2, PxR >= 0.
        
enunciado7([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,0,1,1)),
        enunciado7(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 8                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado8([],Bolsa,[],Bolsa).

%Aplicación de la regla 8.1
enunciado8([areaR(1,1,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[9|AreasR],bolsa(Px,PX,Py,PY,PzR,PZR)):-
        enunciado8(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(Px,PX,Py,PY,PzR,PZP)),
	PZR is PZP - 1, PZR >= 0.

%Aplicación de la regla 8.2
enunciado8([areaR(1,1,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[10|AreasR],bolsa(Px,PX,Py,PY,PzR,PZR)):-
        enunciado8(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(Px,PX,Py,PY,PzP,PZR)),
	PzR is PzP - 2, PzR >= 0.
        
enunciado8([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(1,1,0,0)),
        enunciado8(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 9                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado9([],Bolsa,[],Bolsa).

%Aplicación de la regla 9.1
enunciado9([areaR(0,1,0,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[11|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado9(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PX,PyP,PY,PzR,PZ)),
	PyR is PyP - 1, PyR >= 0.

%Aplicación de la regla 9.2
enunciado9([areaR(0,1,0,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[12|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado9(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzP,PZ)),
	PxR is PxP - 1, PxR >= 0,
	PzR is PzP - 1, PzR >= 0.
        
enunciado9([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,1,0,1)),
        enunciado9(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 10                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado10([],Bolsa,[],Bolsa).

%Aplicación de la regla 10.1
enunciado10([areaR(1,0,1,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[13|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado10(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PX,PyP,PY,PzR,PZ)),
	PyR is PyP - 1, PyR >= 0.

%Aplicación de la regla 10.2
enunciado10([areaR(1,0,1,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[14|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado10(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzP,PZ)),
	PxR is PxP - 1, PxR >= 0,
	PzR is PzP - 1, PzR >= 0.
        
enunciado10([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(1,0,1,0)),
        enunciado10(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 11                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado11([],Bolsa,[],Bolsa).

%Aplicación de la regla 11.1
enunciado11([areaR(0,0,0,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[15|AreasR],bolsa(PxR,PXR,PyR,PY,PzR,PZ)):-
        enunciado11(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXP,PyR,PY,PzP,PZ)),
	PXR is PXP - 1, PXR >= 0,
	PzR is PzP - 1, PzR >= 0.

%Aplicación de la regla 11.2
enunciado11([areaR(0,0,0,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[16|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado11(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyP,PY,PzR,PZ)),
	PxR is PxP - 1, PxR >= 0,
	PyR is PyP - 1, PyR >= 0.

%Aplicación de la regla 11.3
enunciado11([areaR(0,0,0,1)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[17|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado11(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzP,PZ)),
	PxR is PxP - 2, PxR >= 0,
	PzR is PzP - 1, PzR >= 0.
        
enunciado11([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,0,0,1)),
        enunciado11(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 12                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado12([],Bolsa,[],Bolsa).

%Aplicación de la regla 12.1
enunciado12([areaR(0,0,1,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[18|AreasR],bolsa(PxR,PXR,PyR,PY,PzR,PZ)):-
        enunciado12(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXP,PyR,PY,PzP,PZ)),
	PXR is PXP - 1, PXR >= 0,
	PzR is PzP - 1, PzR >= 0.

%Aplicación de la regla 12.2
enunciado12([areaR(0,0,1,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[19|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado12(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyP,PY,PzR,PZ)),
	PxR is PxP - 1, PxR >= 0,
	PyR is PyP - 1, PyR >= 0.

%Aplicación de la regla 12.3
enunciado12([areaR(0,0,1,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[20|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZ)):-
        enunciado12(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzP,PZ)),
	PxR is PxP - 2, PxR >= 0,
	PzR is PzP - 1, PzR >= 0.
        
enunciado12([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,0,1,0)),
        enunciado12(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 13                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado13([],Bolsa,[],Bolsa).

%Aplicación de la regla 13.1
enunciado13([areaR(0,1,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[21|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZR)):-
        enunciado13(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzR,PZP)),
	PxR is PxP - 1, PxR >= 0,
	PZR is PZP - 1, PZR >= 0.

%Aplicación de la regla 13.2
enunciado13([areaR(0,1,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[22|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZR)):-
        enunciado13(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PX,PyP,PY,PzP,PZR)),
	PyR is PyP - 1, PyR >= 0,
	PzR is PzP - 1, PzR >= 0.

%Aplicación de la regla 13.3
enunciado13([areaR(0,1,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[23|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZR)):-
        enunciado13(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzP,PZR)),
	PxR is PxP - 1, PxR >= 0,
	PzR is PzP - 2, PzR >= 0.
        
enunciado13([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,1,0,0)),
        enunciado13(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 14                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado14([],Bolsa,[],Bolsa).

%Aplicación de la regla 14.1
enunciado14([areaR(1,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[24|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZR)):-
        enunciado14(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzR,PZP)),
	PxR is PxP - 1, PxR >= 0,
	PZR is PZP - 1, PZR >= 0.

%Aplicación de la regla 14.2
enunciado14([areaR(1,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[25|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZR)):-
        enunciado14(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PX,PyP,PY,PzP,PZR)),
	PyR is PyP - 1, PyR >= 0,
	PzR is PzP - 1, PzR >= 0.

%Aplicación de la regla 14.3
enunciado14([areaR(1,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[26|AreasR],bolsa(PxR,PX,PyR,PY,PzR,PZR)):-
        enunciado14(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PX,PyR,PY,PzP,PZR)),
	PxR is PxP - 1, PxR >= 0,
	PzR is PzP - 2, PzR >= 0.
        
enunciado14([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(1,0,0,0)),
        enunciado14(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                   Aplicación del enunciado 15                                                   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

enunciado15([],Bolsa,[],Bolsa).

%Aplicación de la regla 15.1
enunciado15([areaR(0,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[27|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYP,PzR,PZR)),
	PYR is PYP - 1, PYR >= 0.

%Aplicación de la regla 15.2
enunciado15([areaR(0,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[28|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyP,PYR,PzR,PZR)),
	PyR is PyP - 2, PyR >= 0.

%Aplicación de la regla 15.3
enunciado15([areaR(0,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[29|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PXR,PyP,PYR,PzP,PZR)),
	PxR is PxP - 1, PxR >= 0,
	PyR is PyP - 1, PyR >= 0,
	PzR is PzP - 1, PzR >= 0.

%Aplicación de la regla 15.4
enunciado15([areaR(0,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[30|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXP,PyR,PYR,PzR,PZP)),
	PXR is PXP - 1, PXR >= 0,
	PZR is PZP - 1, PZR >= 0.

%Aplicación de la regla 15.5
enunciado15([areaR(0,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[31|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXP,PyR,PYR,PzP,PZR)),
	PXR is PXP - 1, PXR >= 0,
	PzR is PzP - 2, PzR >= 0.

%Aplicación de la regla 15.6
enunciado15([areaR(0,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[32|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PXR,PyR,PYR,PzR,PZP)),
	PxR is PxP - 2, PxR >= 0,
	PZR is PZP - 1, PZR >= 0.

%Aplicación de la regla 15.7
enunciado15([areaR(0,0,0,0)|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[33|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxP,PXR,PyR,PYR,PzP,PZR)),
	PxR is PxP - 2, PxR >= 0,
	PzR is PzP - 2, PzR >= 0.
        
enunciado15([A|Areas],bolsa(Px,PX,Py,PY,Pz,PZ),[A|AreasR],bolsa(PxR,PXR,PyR,PYR,PzR,PZR)):-
        not(A = areaR(0,1,0,0)),
        enunciado15(Areas,bolsa(Px,PX,Py,PY,Pz,PZ),AreasR,bolsa(PxR,PXR,PyR,PYR,PzR,PZR)).

programa(Areas,Bolsa,Solucion):-
	enunciado1(Areas,Bolsa,Areas1,Bolsa1),
	enunciado2(Areas1,Bolsa1,Areas2,Bolsa2),
	enunciado3(Areas2,Bolsa2,Areas3,Bolsa3),
	enunciado4(Areas3,Bolsa3,Areas4,Bolsa4),
	enunciado5(Areas4,Bolsa4,Areas5,Bolsa5),
	enunciado6(Areas5,Bolsa5,Areas6,Bolsa6),
	enunciado7(Areas6,Bolsa6,Areas7,Bolsa7),
	enunciado8(Areas7,Bolsa7,Areas8,Bolsa8),
	enunciado9(Areas8,Bolsa8,Areas9,Bolsa9),
	enunciado10(Areas9,Bolsa9,Areas10,Bolsa10),
	enunciado11(Areas10,Bolsa10,Areas11,Bolsa11),
	enunciado12(Areas11,Bolsa11,Areas12,Bolsa12),
	enunciado13(Areas12,Bolsa12,Areas13,Bolsa13),
	enunciado14(Areas13,Bolsa13,Areas14,Bolsa14),
	enunciado15(Areas14,Bolsa14,Solucion,bolsa(0,0,0,0,0,0)),!.

prueba1:-solucion(1,Ids),tablero(Ids,Areas),generabolsa(Ids,bolsa(0,0,0,0,0,0),Bolsa),not(programa(Areas,Bolsa,_)),write(Ids),nl,write('No tiene solución'),nl,nl,fail.
prueba2:-solucion(2,Ids),tablero(Ids,Areas),generabolsa(Ids,bolsa(0,0,0,0,0,0),Bolsa),not(programa(Areas,Bolsa,_)),write(Ids),nl,write('No tiene solución'),nl,nl,fail.
prueba3:-solucion(3,Ids),tablero(Ids,Areas),generabolsa(Ids,bolsa(0,0,0,0,0,0),Bolsa),not(programa(Areas,Bolsa,_)),write(Ids),nl,write('No tiene solución'),nl,nl,fail.
prueba4:-solucion(4,Ids),tablero(Ids,Areas),generabolsa(Ids,bolsa(0,0,0,0,0,0),Bolsa),not(programa(Areas,Bolsa,_)),write(Ids),nl,write('No tiene solución'),nl,nl,fail.
prueba5:-solucion(5,Ids),tablero(Ids,Areas),generabolsa(Ids,bolsa(0,0,0,0,0,0),Bolsa),not(programa(Areas,Bolsa,_)),write(Ids),nl,write('No tiene solución'),nl,nl,fail.

demostracion:-tell('Salida'),not(prueba1),not(prueba2),not(prueba3),not(prueba4),not(prueba5),told.
